Summary:	Text-mode interface for git-core
Summary(pl.UTF-8):	Tekstowy interfejs do git-core
Name:		tig
Version:	2.5.4
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	https://github.com/jonas/tig/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f7986e3361cf1c2265982d6b4451c79a
URL:		https://jonas.github.io/tig/
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.752
Requires:	git-core
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tig is a git-core repository browser that additionally can act as a
pager for output from various git commands.

When browsing repositories, it uses the underlying git commands to
present the user with various views, such as summarized revision log
and showing the commit with the log message, diffstat, and the diff.

Using it as a pager, it will display input from stdin and colorize it.

%description -l pl.UTF-8
Tig jest przeglądarką repozytoriów git-core'a. Dodatkowo może działać
jako pager dla różnych komend gita.

Podczas przeglądania repozytoriów używa poleceń gita i pokazuje log,
statystyki diffa i różnice między plikami.

Używany jako pager będzie kolorował to co otrzyma ze standardowego
wejścia.

%package -n bash-completion-tig
Summary:	bash-completion for tig
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla tiga
Group:		Applications/Shells
Requires:	bash-completion
BuildArch:	noarch

%description -n bash-completion-tig
This package provides bash-completion for tig.

%description -n bash-completion-tig -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla tiga.

%prep
%setup -q

%build
CFLAGS="%{rpmcflags} %{rpmldflags} -I/usr/include/ncursesw"
export CFLAGS
LIBS=-ltinfow %configure
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%{__make} install install-doc-man \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir} \
	prefix=%{_prefix}
	sysconfdir=%{_sysconfdir}

# bash completion
cp -a contrib/tig-completion.bash $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.html
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/tigrc
%attr(755,root,root) %{_bindir}/tig
#%attr(755,root,root) %{_bindir}/test-graph
%{_mandir}/man1/tig.1*
%{_mandir}/man5/tigrc.5*
%{_mandir}/man7/tigmanual.7*

%files -n bash-completion-tig
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/tig-completion.bash
%changelog
* Mon Jun 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tig.git;a=log;h=master

* Mon Jun 07 2021 Jan Palus <atler@pld-linux.org> 1ae0444
- up to 2.5.4

* Mon Mar 08 2021 Jan Palus <atler@pld-linux.org> 23c74b2
- up to 2.5.3

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> c773e14
- unconditional noarch subpackages

* Sat Feb 13 2021 Jan Palus <atler@pld-linux.org> 2cb93d4
- updated noarch rule

* Sat Feb 13 2021 Jan Palus <atler@pld-linux.org> be65773
- up to 2.5.2

* Wed Apr 15 2020 Jan Palus <atler@pld-linux.org> f0f2616
- up to 2.5.1

* Thu Nov 21 2019 Jan Palus <atler@pld-linux.org> d011c01
- up to 2.5.0

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> ba1b64c
- release 2 (by relup.sh)

* Sat Jul 28 2018 Jan Palus <atler@pld-linux.org> 35234b8
- up to 2.4.1

* Sun Jul 22 2018 Jan Palus <atler@pld-linux.org> 1288441
- up to 2.4.0

* Thu Feb 01 2018 Jan Palus <atler@pld-linux.org> 0efcddd
- up to 2.3.3

* Tue Dec 19 2017 Jan Palus <atler@pld-linux.org> e9a1ab9
- up to 2.3.2

* Sun Dec 17 2017 Jan Palus <atler@pld-linux.org> fc4f7aa
- up to 2.3.1

* Wed Oct 11 2017 Jan Palus <atler@pld-linux.org> f4b62bb
- up to 2.3.0

* Sat May 06 2017 Jan Palus <atler@pld-linux.org> 6b1f58e
- up to 2.2.2

* Wed Dec 14 2016 Jan Palus <atler@pld-linux.org> a3ddc5d
- up to 2.2.1

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 785c10f
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Thu Apr 09 2015 Kacper Kornet <draenog@pld-linux.org> b016739
- updated to 2.1.1

* Wed Mar 11 2015 Jan Palus <atler@pld-linux.org> 93dce0d
- up to 2.1

* Sat Aug 30 2014 Jan Palus <atler@pld-linux.org> 1449092
- up to 2.0.3

